from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, File, String, Int

Getsize_V0_1_0 = CommandToolBuilder(tool="getsize", base_command=["getsize"], inputs=[ToolInput(tag="in_codons", input_type=Boolean(optional=True), prefix="-codons", doc=InputDocumentation(doc="")), ToolInput(tag="in_x", input_type=Boolean(optional=True), prefix="-x", doc=InputDocumentation(doc="")), ToolInput(tag="in_nd", input_type=Boolean(optional=True), prefix="-nd", doc=InputDocumentation(doc="")), ToolInput(tag="in_l", input_type=Boolean(optional=True), prefix="-l", doc=InputDocumentation(doc="")), ToolInput(tag="in_ft", input_type=Boolean(optional=True), prefix="-ft", doc=InputDocumentation(doc="")), ToolInput(tag="in_f", input_type=Boolean(optional=True), prefix="-f", doc=InputDocumentation(doc="")), ToolInput(tag="in_alph", input_type=File(optional=True), prefix="-alph", doc=InputDocumentation(doc="")), ToolInput(tag="in_prot", input_type=Boolean(optional=True), prefix="-prot", doc=InputDocumentation(doc="")), ToolInput(tag="in_var_8", input_type=Boolean(optional=True), prefix="-rna", doc=InputDocumentation(doc="")), ToolInput(tag="in_var_9", input_type=Boolean(optional=True), prefix="-dna", doc=InputDocumentation(doc="")), ToolInput(tag="in_measure", input_type=String(), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_data_file", input_type=String(), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_do", input_type=String(), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_just", input_type=String(), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_print", input_type=String(), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_translate", input_type=String(), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_use", input_type=String(), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_var_17", input_type=String(), position=1, doc=InputDocumentation(doc="")), ToolInput(tag="in_var_18", input_type=String(), position=1, doc=InputDocumentation(doc="")), ToolInput(tag="in_file", input_type=File(), position=1, doc=InputDocumentation(doc="")), ToolInput(tag="in_frame", input_type=String(), position=1, doc=InputDocumentation(doc="")), ToolInput(tag="in_letter", input_type=String(), position=1, doc=InputDocumentation(doc="")), ToolInput(tag="in_not", input_type=String(), position=1, doc=InputDocumentation(doc="")), ToolInput(tag="in_protein", input_type=String(), position=1, doc=InputDocumentation(doc="")), ToolInput(tag="in_statistics", input_type=String(), position=1, doc=InputDocumentation(doc="")), ToolInput(tag="in_the", input_type=String(), position=1, doc=InputDocumentation(doc="")), ToolInput(tag="in_containing", input_type=String(), position=2, doc=InputDocumentation(doc="")), ToolInput(tag="in_frequencies", input_type=String(), position=2, doc=InputDocumentation(doc="")), ToolInput(tag="in_specified", input_type=String(), position=2, doc=InputDocumentation(doc="")), ToolInput(tag="in_a", input_type=String(), position=3, doc=InputDocumentation(doc="")), ToolInput(tag="in_as", input_type=String(), position=3, doc=InputDocumentation(doc="")), ToolInput(tag="in_length", input_type=Int(), position=3, doc=InputDocumentation(doc="")), ToolInput(tag="in_sequences", input_type=String(), position=3, doc=InputDocumentation(doc="")), ToolInput(tag="in_six", input_type=String(), position=3, doc=InputDocumentation(doc="")), ToolInput(tag="in_warnings", input_type=String(), position=3, doc=InputDocumentation(doc="")), ToolInput(tag="in_c", input_type=String(), position=4, doc=InputDocumentation(doc="")), ToolInput(tag="in_about", input_type=String(), position=4, doc=InputDocumentation(doc="")), ToolInput(tag="in_b_file", input_type=String(), position=4, doc=InputDocumentation(doc="")), ToolInput(tag="in_frame_zero", input_type=Int(), position=4, doc=InputDocumentation(doc="")), ToolInput(tag="in_frames", input_type=String(), position=4, doc=InputDocumentation(doc="")), ToolInput(tag="in_in", input_type=String(), position=4, doc=InputDocumentation(doc="")), ToolInput(tag="in_latex", input_type=String(), position=4, doc=InputDocumentation(doc="")), ToolInput(tag="in_of", input_type=String(), position=4, doc=InputDocumentation(doc="")), ToolInput(tag="in_fast_a", input_type=String(), position=5, doc=InputDocumentation(doc="")), ToolInput(tag="in_and", input_type=String(), position=5, doc=InputDocumentation(doc="")), ToolInput(tag="in_codon", input_type=String(), position=5, doc=InputDocumentation(doc="")), ToolInput(tag="in_duplicate", input_type=String(), position=5, doc=InputDocumentation(doc="")), ToolInput(tag="in_each", input_type=String(), position=5, doc=InputDocumentation(doc="")), ToolInput(tag="in_usage", input_type=String(), position=6, doc=InputDocumentation(doc="")), ToolInput(tag="in_freqs", input_type=String(), position=7, doc=InputDocumentation(doc=""))], outputs=[], container="quay.io/biocontainers/meme:5.3.0--py38pl526hc1f1133_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Getsize_V0_1_0().translate("wdl")

